summaryrefslogtreecommitdiff
path: root/config/chroot_local-hooks/remove-xinit
diff options
context:
space:
mode:
authorAndreas Loibl <andreas@andreas-loibl.de>2012-03-07 00:54:52 +0100
committerAndreas Loibl <andreas@andreas-loibl.de>2012-03-07 00:54:52 +0100
commitc0186754062c6c8380ce5a17a1cdc32092d504eb (patch)
tree2fcdf2e6b47afe736c62a2f1230893e6b998b6ba /config/chroot_local-hooks/remove-xinit
parent08eb9168f73c76680b6fc257bc904bd24e688c5f (diff)
parent67531aca58d5eed1253cb54e422b712c23144f87 (diff)
downloadkanotix-c0186754062c6c8380ce5a17a1cdc32092d504eb.zip
kanotix-c0186754062c6c8380ce5a17a1cdc32092d504eb.tar.gz
Merge branch 'master' of ssh://git.acritox.com/kanotix
Diffstat (limited to 'config/chroot_local-hooks/remove-xinit')
-rwxr-xr-xconfig/chroot_local-hooks/remove-xinit6
1 files changed, 6 insertions, 0 deletions
diff --git a/config/chroot_local-hooks/remove-xinit b/config/chroot_local-hooks/remove-xinit
new file mode 100755
index 0000000..22e14fd
--- /dev/null
+++ b/config/chroot_local-hooks/remove-xinit
@@ -0,0 +1,6 @@
+#!/bin/sh
+_X11=false
+for x in gdm gdm3 kdm lightdm lxdm nodm slim; do
+ [ -f /var/lib/dpkg/info/$x.list ] && _X11=true || :
+done
+[ "$_X11" = "true" ] && rm -vf /lib/live/config/014-xinit || :